<?xml version="1.0" encoding="UTf-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.nantian.cloud.ggjg.mapper.SkMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="BaseResultMap" type="com.nantian.cloud.ggjg.entity.Mlk">
        <id column="team_title" property="teamTitle" />
        <result column="area_code" property="areaCode" />
        <result column="team_type" property="teamType" />
        <result column="code" property="code" />
        <result column="org_amount" property="orgAmount" />
        <result column="business_time" property="businessTime" />
        <result column="level" property="level" />
        <result column="f009" property="f009" />
        <result column="f101" property="f101" />
        <result column="f102" property="f102" />
        <result column="f1021" property="f1021" />
        <result column="f103" property="f103" />
        <result column="f1031" property="f1031" />
        <result column="f1032" property="f1032" />
        <result column="f1033" property="f1033" />
        <result column="f110" property="f110" />
        <result column="f111" property="f111" />
        <result column="f120" property="f120" />
        <result column="f121" property="f121" />
        <result column="f130" property="f130" />
        <result column="f131" property="f131" />
        <result column="f140" property="f140" />
        <result column="f141" property="f141" />
        <result column="f150" property="f150" />
        <result column="f151" property="f151" />
        <result column="f1501" property="f1501" />
        <result column="f1511" property="f1511" />
        <result column="f1502" property="f1502" />
        <result column="f1512" property="f1512" />
        <result column="f160" property="f160" />
        <result column="f161" property="f161" />
        <result column="f1601" property="f1601" />
        <result column="f1611" property="f1611" />
        <result column="f1602" property="f1602" />
        <result column="f1612" property="f1612" />
        <result column="f104" property="f104" />
        <result column="f1041" property="f1041" />
        <result column="f170" property="f170" />
        <result column="f171" property="f171" />
        <result column="f180" property="f180" />
        <result column="f181" property="f181" />
        <result column="f105" property="f105" />
        <result column="f190" property="f190" />
        <result column="f191" property="f191" />
        <result column="f192" property="f192" />
    </resultMap>

    <select id="queryTjb" parameterType="java.util.HashMap" resultType="java.util.LinkedHashMap">
         <![CDATA[
select team_title,area_code,code,Business_Time,(f120*0.0001229+f150*0.001074122+f160*0.001253106+f130*0.7143+f140*0.00133+f170*0.03412+f180)*1000/f102 c1,
	f120*0.0001229+f130*0.7143+f140*0.00133+f170*0.03412+f180 c2,
	(f120*0.0001229+f130*0.7143+f140*0.00133+f170*0.03412+f180)*1000/f101 c3,
	f120/f102 c4,
	f110/f102 c5,
	(f120*0.0001229+f150*0.001074122+f160*0.001253106+f130*0.7143+f140*0.00133+f170*0.03412+f180)/10000 c6
	from t_z1view_data where  length(code)=3 and team_title='合计' order by Business_Time
              ]]>
    </select>



</mapper>
